// pages/errataRecords/errataRecords.ts
import { corrigendaList } from '../../apis/information'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    listQuery: {
      current: 1
    },
    list: [],
    status: {
      WAIT: '待处理',
      PROCESSED: '已处理'
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.setData({
      list: [],
      ['listQuery.current']: 1
    })
    this.getList()
  },

  getList() {
    corrigendaList(this.data.listQuery).then((res:any) => {
      console.log(res)
      const list = res.d.records
      if (list.length) {
        this.setData({
          list: this.data.list.concat(list)
        })
      } else {
        wx.showToast({
          icon: 'none',
          title: '没有更多了!'
        })
      }
    })
  },
  jumpDetail(e: WechatMiniprogram.BaseEvent) {
    const { item } = e.currentTarget.dataset
    wx.setStorageSync('errataDetail', item)
    wx.navigateTo({
      url: '/pages/errataDetail/errataDetail'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.setData({
      ['listQuery.current']: this.data.listQuery.current + 1
    })
    this.getList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})